[arch-commits] Commit in flatpak-builder/repos (4 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Thu Oct 12 10:43:19 UTC 2017


    Date: Thursday, October 12, 2017 @ 10:43:18
  Author: bpiotrowski
Revision: 307532

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  flatpak-builder/repos/extra-i686/PKGBUILD
    (from rev 307531, flatpak-builder/trunk/PKGBUILD)
  flatpak-builder/repos/extra-x86_64/PKGBUILD
    (from rev 307531, flatpak-builder/trunk/PKGBUILD)
Deleted:
  flatpak-builder/repos/extra-i686/PKGBUILD
  flatpak-builder/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |  130 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   65 ------------------------
 extra-x86_64/PKGBUILD |   65 ------------------------
 3 files changed, 130 insertions(+), 130 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2017-10-12 10:43:08 UTC (rev 307531)
+++ extra-i686/PKGBUILD	2017-10-12 10:43:18 UTC (rev 307532)
@@ -1,65 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=flatpak-builder
-pkgver=0.9.9
-pkgrel=1
-pkgdesc="Tool to build flatpaks from source"
-url="http://flatpak.org"
-arch=(i686 x86_64)
-license=(LGPL2.1)
-depends=(flatpak binutils elfutils unzip tar git bzr patch rpmextract cpio appstream-glib)
-makedepends=(intltool gobject-introspection git docbook-xsl xmlto libdwarf)
-checkdepends=(python2 valgrind)
-replaces=('flatpak<0.9.10')
-_commit=bf876b2e47cc88fb47d0ad33451465e04fff20b1  # tags/0.9.9
-source=("git+https://github.com/flatpak/flatpak-builder#commit=$_commit"
-        "git+https://git.gnome.org/browse/libglnx")
-sha256sums=('SKIP'
-            'SKIP')
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.libglnx.url "$srcdir/libglnx"
-  git submodule update
-
-  # https://github.com/flatpak/flatpak/issues/267
-  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib/$pkgname \
-    --disable-static \
-    --with-dwarf-header=/usr/include/libdwarf
-
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname
-  # Xattr tests fail on tmpfs
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: flatpak-builder/repos/extra-i686/PKGBUILD (from rev 307531, flatpak-builder/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2017-10-12 10:43:18 UTC (rev 307532)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak-builder
+pkgver=0.9.99
+pkgrel=1
+pkgdesc="Tool to build flatpaks from source"
+url="http://flatpak.org"
+arch=(i686 x86_64)
+license=(LGPL2.1)
+depends=(flatpak binutils elfutils unzip tar git bzr patch rpmextract cpio appstream-glib)
+makedepends=(intltool gobject-introspection git docbook-xsl xmlto libdwarf)
+checkdepends=(python2 valgrind)
+replaces=('flatpak<0.9.10')
+_commit=a912f119d6e23d7e7ab83dc1d520cf0cfd59505e  # tags/0.9.99^0
+source=("git+https://github.com/flatpak/flatpak-builder#commit=$_commit"
+        "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib/$pkgname \
+    --disable-static \
+    --with-dwarf-header=/usr/include/libdwarf
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2017-10-12 10:43:08 UTC (rev 307531)
+++ extra-x86_64/PKGBUILD	2017-10-12 10:43:18 UTC (rev 307532)
@@ -1,65 +0,0 @@
-# $Id$
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=flatpak-builder
-pkgver=0.9.9
-pkgrel=1
-pkgdesc="Tool to build flatpaks from source"
-url="http://flatpak.org"
-arch=(i686 x86_64)
-license=(LGPL2.1)
-depends=(flatpak binutils elfutils unzip tar git bzr patch rpmextract cpio appstream-glib)
-makedepends=(intltool gobject-introspection git docbook-xsl xmlto libdwarf)
-checkdepends=(python2 valgrind)
-replaces=('flatpak<0.9.10')
-_commit=bf876b2e47cc88fb47d0ad33451465e04fff20b1  # tags/0.9.9
-source=("git+https://github.com/flatpak/flatpak-builder#commit=$_commit"
-        "git+https://git.gnome.org/browse/libglnx")
-sha256sums=('SKIP'
-            'SKIP')
-
-prepare() {
-  cd $pkgname
-
-  git submodule init
-  git config --local submodule.libglnx.url "$srcdir/libglnx"
-  git submodule update
-
-  # https://github.com/flatpak/flatpak/issues/267
-  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
-
-  NOCONFIGURE=1 ./autogen.sh
-}
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-build() {
-  cd $pkgname
-
-  ./configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    --sbindir=/usr/bin \
-    --libexecdir=/usr/lib/$pkgname \
-    --disable-static \
-    --with-dwarf-header=/usr/include/libdwarf
-
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-
-  make
-}
-
-check() {
-  cd $pkgname
-  # Xattr tests fail on tmpfs
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: flatpak-builder/repos/extra-x86_64/PKGBUILD (from rev 307531, flatpak-builder/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2017-10-12 10:43:18 UTC (rev 307532)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=flatpak-builder
+pkgver=0.9.99
+pkgrel=1
+pkgdesc="Tool to build flatpaks from source"
+url="http://flatpak.org"
+arch=(i686 x86_64)
+license=(LGPL2.1)
+depends=(flatpak binutils elfutils unzip tar git bzr patch rpmextract cpio appstream-glib)
+makedepends=(intltool gobject-introspection git docbook-xsl xmlto libdwarf)
+checkdepends=(python2 valgrind)
+replaces=('flatpak<0.9.10')
+_commit=a912f119d6e23d7e7ab83dc1d520cf0cfd59505e  # tags/0.9.99^0
+source=("git+https://github.com/flatpak/flatpak-builder#commit=$_commit"
+        "git+https://git.gnome.org/browse/libglnx")
+sha256sums=('SKIP'
+            'SKIP')
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.libglnx.url "$srcdir/libglnx"
+  git submodule update
+
+  # https://github.com/flatpak/flatpak/issues/267
+  sed -i '/locale\/C\./d' tests/make-test-runtime.sh
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+build() {
+  cd $pkgname
+
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --sbindir=/usr/bin \
+    --libexecdir=/usr/lib/$pkgname \
+    --disable-static \
+    --with-dwarf-header=/usr/include/libdwarf
+
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  cd $pkgname
+  # Xattr tests fail on tmpfs
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list